/*
 * Copyright 2003, Sandro Giessl <ceebx@users.sourceforge.net>
 * Please see the AUTHORS file for the original credits!
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License version 2 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "plastik.h"
#include <qstyleplugin.h>

// -- Style Plugin Interface -------------------------
class PlastikStylePlugin : public QStylePlugin
{
    public:
        PlastikStylePlugin() {}
        ~PlastikStylePlugin() {}

        QStringList keys() const {
            return QStringList() << "Plastik";
        }

        QStyle* create( const QString& key ) {
            if (key == "plastik")
                return new PlastikStyle;
            return 0;
        }
};

Q_EXPORT_PLUGIN( PlastikStylePlugin )
